<?php

namespace App\Entities\Customer;

use App\Models\Customer\AccountModel;

class AccountEntity extends CustomerEntity
{
    const PK    = AccountModel::PK;
    const TITLE = AccountModel::TITLE;
    const DEFAULT_STATUS = STATUS['DEPOSIT'];
    final public function getUserUID(): string
    {
        return $this->attributes['user_uid'];
    }
    final public function  getClientInfoUID(): string
    {
        return $this->attributes['clientinfo_uid'];
    }
    //기본기능
}
